Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
ruby-runner.c File Reference
`#include "ruby/config.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include "ruby-runner.h"`

Go to the source code of this file.

## Macros
#define | _POSIX_C_SOURCE 200809L
#define | STRINGIZE(expr) STRINGIZE0(expr)
#define | STRINGIZE0(expr) #expr
#define | EXTOUT_DIR BUILDDIR"/"EXTOUT

## Functions
int | main (int argc, char **argv)

## Macro Definition Documentation

## ◆ _POSIX_C_SOURCE

#define _POSIX_C_SOURCE 200809L

Definition at line 1 of file ruby-runner.c.

## ◆ EXTOUT_DIR

#define EXTOUT_DIR BUILDDIR"/"EXTOUT

Definition at line 54 of file ruby-runner.c.

## ◆ STRINGIZE

#define STRINGIZE | ( |  | expr | ) | STRINGIZE0(expr)

Definition at line 16 of file ruby-runner.c.

## ◆ STRINGIZE0

#define STRINGIZE0 | ( |  | expr | ) | #expr

Definition at line 17 of file ruby-runner.c.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 56 of file ruby-runner.c.

References argv, EXTOUT_DIR, NULL, and STRINGIZE.

Referenced by WinMain().